Skip to content
Proud to collaborate with Microsoft for Startups

docusign.template-recipients.get-template-recipients ​

Retrieves the information for all recipients in the specified template.

Gets recipient information from a template.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
templateidstringYes—The ID of the template.
include_anchor_tab_locationsstringNo—When true and include_tabs is set to true, all tabs with anchor tab properties are included in the response.
include_extendedstringNo—When true, the extended properties are included in the response.
include_tabsstringNo—When true, the tab information associated with the recipient is included in the response.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
templateidstringYes—The ID of the template.
include_anchor_tab_locationsstringNo—When true and include_tabs is set to true, all tabs with anchor tab properties are included in the response.
include_extendedstringNo—When true, the extended properties are included in the response.
include_tabsstringNo—When true, the tab information associated with the recipient is included in the response.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/templates/{templateId}/recipients
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/templates/{templateId}/recipients
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.template-recipients.get-template-recipients",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "templateid": "value"
  }
}